Vue-validator

Vue.js 的表单验证组件

暂无中文翻译,

vue-validator

CircleCI Status Coverage Status npm package

Validator component for Vue.js

:warning: NOTE: WIP for Vue.js 2.0 :construction:

Compatibility

  • v2 later
    • Vue.js 1.0.20+
  • v3 (WIP :construction:)
    • Vue.js 2.0 beta+

Documentation

Contributing

  • Fork it !
  • Create your top branch from 2.x: git branch my-new-topic origin/dev
  • Commit your changes: git commit -am 'Add some topic'
  • Push to the branch: git push origin my-new-topic
  • Submit a pull request to 2.x branch of vuejs/vue-validator repository !

Branch

  • 2.x (maintance branch for v2 later)

Development Setup

# install deps
npm install

# build dist files
npm run build

# lint
npm run lint

# run unit tests only
npm run unit

# run e2e tests only
npm run e2e

# lint & run all tests
npm test

Issues

Please make sure to read the Issue Reporting Checklist before opening an issue. Issues not conforming to the guidelines may be closed immediately.

Contribution

Please make sure to read the Contributing Guide before making a pull request.

Changelog

Details changes for each release are documented in the CHANGELOG.md.

License

MIT

vue-validator 暂时没有中文说明

我们期待您参与进来翻译和完善

该操作会锁定该库2天以防止其它用户重复翻译,然后会自动释放

讨论区